Package com.google.android.exoplayer2.ext.workmanager

## Class WorkManagerScheduler.SchedulerWorker

- java.lang.Object
- - androidx.work.ListenableWorker
  - - androidx.work.Worker
    - - com.google.android.exoplayer2.ext.workmanager.WorkManagerScheduler.SchedulerWorker

- Enclosing class:
    WorkManagerScheduler

      public static final class WorkManagerScheduler.SchedulerWorker
      extends androidx.work.Worker

  A `Worker` that starts the target service if the requirements are met.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class androidx.work.ListenableWorker

      `androidx.work.ListenableWorker.Result`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SchedulerWorker​(Context context, androidx.work.WorkerParameters workerParams)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `androidx.work.ListenableWorker.Result` | `doWork()` |

    - ### Methods inherited from class androidx.work.Worker

      `startWork`

    - ### Methods inherited from class androidx.work.ListenableWorker

      `getApplicationContext, getBackgroundExecutor, getForegroundInfoAsync, getId, getInputData, getNetwork, getRunAttemptCount, getTags, getTaskExecutor, getTriggeredContentAuthorities, getTriggeredContentUris, getWorkerFactory, isRunInForeground, isStopped, isUsed, onStopped, setForegroundAsync, setProgressAsync, setRunInForeground, setUsed, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerWorker

          public SchedulerWorker​(Context context,
                                 androidx.work.WorkerParameters workerParams)

  - ### Method Detail

    - #### doWork

          public androidx.work.ListenableWorker.Result doWork()

      Specified by:
        `doWork` in class `androidx.work.Worker`